<?xml version="1.0" encoding="utf-8"?>
<?data type="record"?>
<?data table="artistperson"?>
<?data validatelinks="yes"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:include href="Common.xsl"/>

<!-- **********************************************************************  -->
<!-- ArtistPerson.xsl with Discography                                       -->
<!--                                                                         -->
<!--                                                                         -->
<!-- Use this template with CATraxx v9.4x                                    -->
<!--                                                                         -->
<!-- Discography additions to the Template courtesy of LotsOCDs              -->
<!-- **********************************************************************  -->
<!--Refer to these forum topics (Sorry, these links refer to the old forum): -->
<!--Updated Artist/Person Discography Code                                   -->
<!--  http://www.fnprg.com/forum/viewtopic.php?f=22&t=8717                   -->
<!--                                                                         -->
<!--Artist Person Discography (A Question for Dave?)                         -->
<!--  http://www.fnprg.com/forum/viewtopic.php?f=21&t=12197                  -->
<!--                                                                         -->
<!-- **********************************************************************  -->
<!--                                                                         -->
<!-- Discography columns in this template                                    -->
<!--   Thumb | Title | Released | Label | Status/Roles                       -->
<!--                                                                         -->
<!--                                                                         -->
<!-- The following option variables affect the discography display           -->
<!--                                                                         -->
<xsl:variable name="showthumbnails">true</xsl:variable>      <!-- Display a thumbnail column when 'true' -->
<xsl:variable name="showthumbnailsize">30</xsl:variable>     <!-- Size of the thumbnail -->
<xsl:variable name="showall">false</xsl:variable>            <!-- Repeat albums in the Credits section that appear in other sections when true --> 


<xsl:param name="doctitle">
  <xsl:value-of select="/data/record/name"/>
  <xsl:if test="/data/record/date1!=''">                  
    <xsl:text> (</xsl:text>
    <xsl:value-of select="/data/record/date1"/>
    <xsl:text>-</xsl:text>
    <xsl:value-of select="/data/record/date2"/>
    <xsl:text>)</xsl:text>
  </xsl:if>
</xsl:param>

<xsl:template match="/">
  <html>
  <head>
  <title><xsl:value-of select="$doctitle"/> (Main)</title>  
  <link rel="stylesheet" type="text/css" href="style.css"/>
  </head>
  <body>
    <xsl:apply-templates select="data/record"/>
  </body>  
  </html>
</xsl:template>

<xsl:template match="record">
  <xsl:if test="//data/@explorertype!='pane'">
  <div class="record_pageheading">
    <xsl:value-of select="$doctitle"/>
  </div>
  </xsl:if>  
  <div class="record_links">
    <xsl:text>Main</xsl:text>    
    <xsl:text> | </xsl:text>
    <xsl:if test="artist/@bool='True'">    
    <a href="ArtistPerson_Albums_Details.xsl" target="_blank">Albums<xsl:text> (</xsl:text>##CMD:COUNT:Album,Track.Artist=<xsl:value-of select="name"/>##<xsl:text>)</xsl:text></a><a href="PLAYFILTER:Track.Artist={name}@orderby=Album.Released, Album.Title, Track.Position@validate=yes,1,1"><img src="PlayAlbum.gif" border="0" style="margin-left: 5px;"/></a>
    <xsl:text> | </xsl:text>
    <a href="TrackList.xsl?Artist={name}@xslparam:doctitle={name}" target="_blank">Tracks<xsl:text> (</xsl:text>##CMD:COUNT:track,track.artist=<xsl:value-of select="name"/>##<xsl:text>)</xsl:text></a><a href="PLAYFILTER:Track.Artist={name}@validate=yes,1,1"><img src="PlayAlbum.gif" border="0" style="margin-left: 5px;"/></a>
    <xsl:text> | </xsl:text>          
    <a href="TrackList_Covers.xsl?Artist={name}@Track.OriginalBy!=@validate=yes,1@xslparam:doctitle=Covers performed by {name}" target="_blank">Covers performed by <xsl:value-of select="name"/></a><a href="PLAYFILTER:Track.Artist={name}@Track.OriginalBy!=@validate=yes,1,1"><img src="PlayAlbum.gif" border="0" style="margin-left: 5px;"/></a>    
    <xsl:text> | </xsl:text>
    <a href="TrackList.xsl?@OriginalBy={name}@validate=yes,1@orderby=artist,title@xslparam:doctitle={name} covered by other artists" target="_blank"><xsl:value-of select="name"/> covered by other artists</a><a href="PLAYFILTER:Track.OriginalBy={name}@validate=yes,1,1"><img src="PlayAlbum.gif" border="0" style="margin-left: 5px;"/></a>
    <xsl:text> | </xsl:text>
    <a href="PlaylistTrackList.xsl?@Track.Artist={name}@validate=yes,1@xslparam:doctitle=Playlists with {name} songs" target="_blank">Playlists with <xsl:value-of select="name"/> songs</a>
    <br/>      
    </xsl:if>
    <a href="TrackList_SongwriterRoles.xsl?AuthorPublisher={name}@xslparam:param_personid={@id}@validate=yes,1@xslparam:doctitle=Songwriter: {name}" target="_blank">Songwriter</a>
    <xsl:text> | </xsl:text>
    <a href="TrackList_ConductorRoles.xsl?ConductorArranger={name}@xslparam:param_personid={@id}@validate=yes,1@xslparam:doctitle=Conductor/Arranger: {name}" target="_blank">Conductor/Arranger</a><xsl:text> </xsl:text>
    <xsl:text> | </xsl:text>        
    <a href="TrackList_ProductionRoles.xsl?Production={name}@xslparam:param_personid={@id}@validate=yes,1@xslparam:doctitle=Production: {name}" target="_blank">Production</a><xsl:text> </xsl:text>  
    <xsl:text> | </xsl:text>
    <a href="TrackList_BandMemberInstruments.xsl?BandMember={name}@xslparam:param_personid={@id}@validate=yes,1@xslparam:doctitle=Band Member: {name}" target="_blank">Band Member</a><xsl:text> </xsl:text>    
    <xsl:text> | </xsl:text>
    <a href="TrackList_GuestMusicianInstruments.xsl?GuestMusician={name}@xslparam:param_personid={@id}@validate=yes,1@xslparam:doctitle=Guest Musician: {name}" target="_blank">Guest Musician</a><xsl:text> </xsl:text>
    <xsl:text> | </xsl:text>
    <a href="ArtistPerson_Albums_AllRoles.xsl?ID={artistpersonid}" target="_blank">All Roles</a>    
  </div>
  <table class="record_table_outer" cellpadding="0" cellspacing="0">
    <tr>
      <td valign="top" width="50%">
        <table class="record_table" cellspacing="1" cellpadding="0">
          <tr> 
            <td class="record_table_group" colspan="2">Main</td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/artistpersonid/@name"/></td>
            <td class="record_table_fieldvalue"><xsl:value-of select="artistpersonid"/></td>
          </tr>
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/name/@name"/></td>
            <td class="record_table_fieldvalue"><xsl:value-of select="name"/></td>
          </tr>       
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/sortby/@name"/></td>
            <td class="record_table_fieldvalue"><xsl:value-of select="sortby"/></td>
          </tr>                        
          <xsl:if test="alternatenames!='' or date1!='' or fax!='' or birthname!='' or location1!='' or date2!=''
              or location2!='' or type!='' or country!='' or personalrating!='' or count(genrelist/genre) > 0">
          <tr> 
            <td class="record_table_group" colspan="2">General</td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <xsl:if test="alternatenames!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/alternatenames/@name"/></td>             
              <td class="record_table_fieldvalue"><xsl:apply-templates select="alternatenames"/></td>
            </tr> 
          </xsl:if>
          <xsl:if test="date1!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/date1/@name"/></td>             
              <td class="record_table_fieldvalue"><xsl:value-of select="date1"/></td>
            </tr> 
          </xsl:if>
          <xsl:if test="birthname!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/birthname/@name"/></td>             
              <td class="record_table_fieldvalue"><xsl:value-of select="birthname"/></td>
            </tr> 
          </xsl:if>
          <xsl:if test="location1!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/location1/@name"/></td>             
              <td class="record_table_fieldvalue"><xsl:value-of select="location1"/></td>
            </tr> 
          </xsl:if>
          <xsl:if test="date2!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/date2/@name"/></td>             
              <td class="record_table_fieldvalue"><xsl:value-of select="date2"/></td>
            </tr> 
          </xsl:if>
          <xsl:if test="location2!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/location2/@name"/></td>             
              <td class="record_table_fieldvalue"><xsl:value-of select="location2"/></td>
            </tr> 
          </xsl:if>
          <xsl:if test="type!=''">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/type/@name"/></td>
            <td class="record_table_fieldvalue">
              <a href="ArtistPersonList.xsl?Type={type}@xslparam:templatefile=ArtistPerson.xsl?Name@xslparam:doctitle={type}" target="_blank">
                <xsl:value-of select="type"/>
              </a>
            </td>
          </tr>
          </xsl:if>                  
          <xsl:if test="country!=''">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/country/@name"/></td>
            <td class="record_table_fieldvalue">
              <a href="ArtistPersonList.xsl?Country={country}@xslparam:templatefile=ArtistPerson.xsl?Name@xslparam:doctitle={country}" target="_blank">
                 <xsl:value-of select="country"/>
              </a>
            </td>
          </tr>
          </xsl:if>
          <xsl:if test="personalrating!=''">
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/personalrating/@name"/></td>
            <td class="record_table_fieldvalue">
              <a href="ArtistPersonList.xsl?PersonalRating={personalrating}@xslparam:templatefile=ArtistPerson.xsl?Name@xslparam:doctitle={personalrating}" target="_blank">
                <img src="{personalrating/@image}" border="0" style="margin-right:3px;"/>                
              </a>
              <a href="CMD:SETRATING:ArtistPerson,PersonalRating,{artistpersonid/@unformatted}">
                <img src="SetRating.gif" border="0"/>
              </a>                       
            </td>
          </xsl:if>
          <xsl:if test="count(genrelist/genre) > 0">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/genre/@name"/></td>
            <td class="record_table_fieldvalue">
              <xsl:call-template name="format-genre">
                <xsl:with-param name="genrelist" select="genrelist"/>
                <xsl:with-param name="templatefile" select="'ArtistPersonList.xsl'"/>
                <xsl:with-param name="setgenre_table" select="'ArtistPerson'"/>
                <xsl:with-param name="setgenre_recordid" select="artistpersonid/@unformatted"/>
                <xsl:with-param name="newwindow" select="'True'"/>
                <xsl:with-param name="hyperlink" select="'True'"/>
              </xsl:call-template>            
            </td>
          </tr>
          </xsl:if>                                       
          </xsl:if>
          <xsl:if test="artist/@bool='True' and ((//data/@audioplayer='No') or ((//data/@audioplayer='Yes') and (count(lineup/person) > 0)))">
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:value-of select="/data/fld/lineup/@name"/></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr>
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:if test="count(lineup/person) > 0">
                <xsl:apply-templates select="lineup"/>
                <br/>
              </xsl:if>
              <a href="CMD:EDITLINEUP,{artistpersonid/@unformatted}"><img class="record_edit_memo" src="editlineup.gif"></img></a>
            </td>
          </tr>
          </xsl:if>
          <xsl:if test="count(memberof/artist) > 0">
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:text>Member of</xsl:text></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr>
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:apply-templates select="memberof"/>
            </td>
          </tr>
          </xsl:if>                             
          <xsl:if test="count(relations/relation) > 0">
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:value-of select="/data/fld/relation/@name"/></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr>
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:apply-templates select="relations"/>
            </td>
          </tr>
          </xsl:if>          
          <xsl:if test="custom01!='' or custom02!='' or custom03!='' or custom04!='' or 
              custom05!='' or custom06!='' or custom07/@bool='True' or custom08/@bool='True' or 
              custom09/@bool='True' or custom10/@bool='True' or custom11/@unformatted!='0.0' or
              count(custom12list/custom12) > 0">  
          <tr> 
            <td class="record_table_group" colspan="2">Custom</td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <xsl:if test="custom01!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom01/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom01"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom02!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom02/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom02"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom03!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom03/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom03"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom04!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom04/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom04"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom05!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom05/@name"/></td>
              <td class="record_table_fieldvalue">
                <xsl:call-template name="add-line-breaks">
                  <xsl:with-param name="string" select="custom05"/> 
                </xsl:call-template>
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="custom06!=''">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom06/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom06"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom07/@bool='True'">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom07/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom07"/></td>                                    
            </tr>
          </xsl:if>
          <xsl:if test="custom08/@bool='True'">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom08/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom08"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom09/@bool='True'">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom09/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom09"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom10/@bool='True'">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom10/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom10"/></td>
            </tr>
          </xsl:if>
          <xsl:if test="custom11/@unformatted!='0.0'">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom11/@name"/></td>
              <td class="record_table_fieldvalue"><xsl:value-of select="custom11"/></td>
            </tr>
          </xsl:if>         
          <xsl:if test="count(custom12list/custom12) > 0">
            <tr> 
              <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/custom12/@name"/></td>
              <td class="record_table_fieldvalue">
                <xsl:for-each select="custom12list/custom12">
                  <xsl:value-of select="."/>
                  <xsl:if test="position() &lt; last()">
                    <xsl:text>; </xsl:text>
                  </xsl:if>                    
                </xsl:for-each>
              </td>
            </tr>
          </xsl:if>                              
          </xsl:if>
          <xsl:if test="address!='' or phone!='' or fax!='' or email!=''">
          <tr> 
            <td class="record_table_group" colspan="2">Contact</td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>
          <xsl:if test="address!=''">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/address/@name"/></td>
            <td class="record_table_fieldvalue">
              <xsl:call-template name="add-line-breaks">
                <xsl:with-param name="string" select="address"/> 
              </xsl:call-template>
            </td>
          </tr>
          </xsl:if>
          <xsl:if test="phone!=''">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/phone/@name"/></td>
            <td class="record_table_fieldvalue"><xsl:value-of select="phone"/></td>
          </tr> 
          </xsl:if>
          <xsl:if test="fax!=''">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/fax/@name"/></td>
            <td class="record_table_fieldvalue"><xsl:value-of select="fax"/></td>
          </tr>
          </xsl:if>                                      
          <xsl:if test="email!=''">
          <tr> 
            <td class="record_table_fieldname" nowrap=""><xsl:value-of select="/data/fld/email/@name"/></td>
            <td class="record_table_fieldvalue">
              <a href="mailto:{email}"><xsl:value-of select="email"/></a>
            </td>
          </tr>
          </xsl:if>         
          </xsl:if>
          
          <!-- ArtistPerson discography, Start of first code block -->
          <tr>
            <td class="record_table_group" COLSPAN="2">Discography</td>
          </tr>                 
          <tr>
            <td class="list_table_fieldvalue" colspan="2" bgcolor="white">
              <table class="list_table" CELLSPACING="1" CELLPADDING="0" width="100%">
                <xsl:apply-templates select="albums_artist"/>
                <xsl:apply-templates select="albums_credits">
                  <!-- Set showall to 'true' or 'false' -->
                  <xsl:with-param name="showall" select="$showall"/>
               </xsl:apply-templates>
              </table>
            </td>
          </tr> 
          <!-- ArtistPerson discography, End of first code block -->
          
        </table>
      </td>
      <td width="3">
      </td>
      <td valign="top" width="*">
        <table class="record_table" cellspacing="1" cellpadding="0">
          <xsl:if test="(image1/filename!='' and image1/@virtual='No') or image2/filename!='' or image3/filename!='' or
              image4/filename!='' or image5/filename!='' or image6/filename!='' or
              image7/filename!='' or image8/filename!='' or image9/filename!=''">           
          <tr> 
            <td class="record_table_group" colspan="2">Images</td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr>
            <td colspan="2">
              <xsl:if test="image1/filename!='' and image1/@virtual='No'">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=1" target="_blank"><img class="record_image_small" width="90" src="{image1/filename}"/></a>
              </xsl:if>
              <xsl:if test="image2/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=2" target="_blank"><img class="record_image_small" width="90" src="{image2/filename}"/></a>
              </xsl:if>
              <xsl:if test="image3/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=3" target="_blank"><img class="record_image_small" width="90" src="{image3/filename}"/></a>
              </xsl:if> 
              <xsl:if test="image4/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=4" target="_blank"><img class="record_image_small" width="90" src="{image4/filename}"/></a>
              </xsl:if>
              <xsl:if test="image5/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=5" target="_blank"><img class="record_image_small" width="90" src="{image5/filename}"/></a>
              </xsl:if>
              <xsl:if test="image6/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=6" target="_blank"><img class="record_image_small" width="90" src="{image6/filename}"/></a>
              </xsl:if> 
              <xsl:if test="image7/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=7" target="_blank"><img class="record_image_small" width="90" src="{image7/filename}"/></a>
              </xsl:if> 
              <xsl:if test="image8/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=8" target="_blank"><img class="record_image_small" width="90" src="{image8/filename}"/></a>
              </xsl:if> 
              <xsl:if test="image9/filename!=''">
                <a href="ArtistPerson_Image.xsl?xslparam:imageindex=9" target="_blank"><img class="record_image_small" width="90" src="{image9/filename}"/></a>
              </xsl:if> 
            </td>
          </tr>          
          </xsl:if>                                                       
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:value-of select="/data/fld/biography/@name"/></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr> 
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:if test="biography!=''">
              <xsl:call-template name="add-line-breaks">
                <xsl:with-param name="string" select="biography"/> 
              </xsl:call-template>              
              <br/>
              </xsl:if>  
              <a href="CMD:EDITMEMO:ArtistPerson,Biography,{artistpersonid/@unformatted}"><img class="record_edit_memo" src="EditMemo.gif"/></a>  
            </td>
          </tr>       
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:value-of select="/data/fld/notes/@name"/></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr> 
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:if test="notes!=''">
                <xsl:call-template name="add-line-breaks">
                  <xsl:with-param name="string" select="notes"/> 
                </xsl:call-template>
                <br/>
              </xsl:if>
              <a href="CMD:EDITMEMO:ArtistPerson,Notes,{artistpersonid/@unformatted}"><img class="record_edit_memo" src="EditMemo.gif"/></a>  
            </td>
          </tr>      
          <xsl:if test="count(filelinks/filelink) > 0">
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:value-of select="/data/fld/filelinks/@name"/></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr>
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:call-template name="format-filelinks">
                <xsl:with-param name="filelinks" select="filelinks"/> 
              </xsl:call-template>
            </td>
          </tr>
          </xsl:if>
          <xsl:if test="count(weblinks/weblink) > 0">
          <tr> 
            <td class="record_table_group" colspan="2"><xsl:value-of select="/data/fld/weblinks/@name"/></td>
          </tr>
          <tr>
            <td class="record_table_group_padding" colspan="2"></td>
          </tr>        
          <tr>
            <td class="record_table_fieldvalue" colspan="2">
              <xsl:call-template name="format-weblinks">
                <xsl:with-param name="weblinks" select="weblinks"/> 
              </xsl:call-template>
            </td>
          </tr>
          </xsl:if>          
        </table>
      </td>
    </tr>
  </table>
  <xsl:if test="artist/@bool='True'">
  <br/>
  ##CMD:CHART:<xsl:value-of select="floor(//data/@explorerwidth div 2)"/>,<xsl:value-of select="round(//data/@explorerwidth div 5)"/>,1,0,0,Album,Format,,8,4,0,0,"Artist=<xsl:value-of select="name"/>","<xsl:value-of select="name"/> / Format"##
  ##CMD:CHART:<xsl:value-of select="floor(//data/@explorerwidth div 2)"/>,<xsl:value-of select="round(//data/@explorerwidth div 5)"/>,1,0,0,Album,Released,,40,1,3,0,"Artist=<xsl:value-of select="name"/>","<xsl:value-of select="name"/> / Release Year"##
  </xsl:if>     
</xsl:template>

<xsl:template match="lineup">
  <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <xsl:for-each select="person">
    <tr>
      <td nowrap="" style="vertical-align: text-top">
        <a href="ArtistPerson.xsl?ID={@id}" target="_blank"><xsl:value-of select="name"/></a>
      </td>
      <td nowrap="" style="padding-left: 8px; vertical-align: text-top;">
        <xsl:for-each select="periods/period">            
          <xsl:value-of select="from"/>
          <xsl:if test="from!=''">
            <xsl:text>-</xsl:text>
          </xsl:if>
          <xsl:value-of select="to"/>
          <xsl:if test="position() &lt; last()">
            <br/>
          </xsl:if>    
        </xsl:for-each> 
      </td>
      <td width="100%" style="padding-left: 8px; vertical-align: text-top;">
        <xsl:for-each select="instruments/instrument">
          <xsl:if test=". != ''">
            <xsl:value-of select="."/>
            <xsl:if test="position() &lt; last()">
              <xsl:text> / </xsl:text>
            </xsl:if>
          </xsl:if>                  
        </xsl:for-each> 
      </td>
    </tr>
    </xsl:for-each>
  </table>
</xsl:template>

<xsl:template match="memberof">
  <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <xsl:for-each select="artist">
    <xsl:sort select="sortby"/>
    <tr>
      <td nowrap="" style="vertical-align: text-top;">        
        <a href="ArtistPerson.xsl?ID={@id}" target="_blank"><xsl:value-of select="name"/></a>
      </td>
      <td nowrap="" style="padding-left: 8px; vertical-align: text-top;">
        <xsl:for-each select="periods/period">            
          <xsl:value-of select="from"/>
          <xsl:if test="from!=''">
            <xsl:text>-</xsl:text>
          </xsl:if>
          <xsl:value-of select="to"/>
          <xsl:if test="position() &lt; last()">
            <br/>
          </xsl:if>    
        </xsl:for-each>  
      </td>
      <td width="100%" style="padding-left: 8px; vertical-align: text-top;">
        <xsl:for-each select="instruments/instrument">
          <xsl:if test=". != ''">
            <xsl:value-of select="."/>
            <xsl:if test="position() &lt; last()">
              <xsl:text> / </xsl:text>
            </xsl:if>    
          </xsl:if>
        </xsl:for-each> 
      </td>        
    </tr>
    </xsl:for-each>
  </table>
</xsl:template>

<xsl:template match="relations">
  <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <xsl:for-each select="relation">
    <tr>
      <td nowrap="" style="vertical-align: text-top;">        
        <a href="ArtistPerson.xsl?ID={@id}" target="_blank"><xsl:value-of select="name"/></a>
      </td>
      <td width="100%" style="padding-left: 8px; vertical-align: text-top;">
        <xsl:value-of select="notes"/>
      </td>      
    </tr>
    </xsl:for-each>
  </table>
</xsl:template>

<!-- ArtistPerson discography, Start of second code block -->
<xsl:key name="kArtistAlbums" match="/data/record/albums_artist/album" use="@id" />
<xsl:variable name="bHasAlbums">
  <xsl:value-of select="boolean(/data/record/albums_artist/album[@type=1])"/>
</xsl:variable>
<xsl:variable name="bHasAppearsOn">
  <xsl:value-of select="boolean(/data/record/albums_artist/album[@type=2])"/>
</xsl:variable>
<xsl:variable name="bHasCredits">
  <xsl:value-of select="boolean(/data/record/albums_credits/album)"/>
</xsl:variable>
<xsl:variable name="bHasUniqueCredits">
  <xsl:value-of select="boolean(/data/record/albums_credits/album[count(. | key('kArtistAlbums', @id)[1]) = 1])"/>
</xsl:variable>
<xsl:variable name="ndiscogcolumns">
  <xsl:choose>
    <xsl:when test="$showthumbnails='true'">
      <xsl:value-of select="5"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="4"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:variable>
        
<xsl:template match="albums_artist">
  <xsl:if test="$bHasAlbums = 'false' and $bHasAppearsOn = 'false' and $bHasCredits = 'false'">
    <tr>
      <td class="list_table_fieldvalue" >
        No Albums for this Artist/Person
      </td>
    </tr>
  </xsl:if>     
  <xsl:if test="$bHasAlbums = 'true'">
    <tr class="list_table_heading" style="background-color:white;">
      <xsl:if test="$showthumbnails='true'">
        <td/>
      </xsl:if>
      <td style="font-size:small">
        <B>Artist Albums:</B>
      </td>
      <td style="font-size:small">
        <B>Date</B>
      </td>
      <td style="font-size:small">
        <B>Label</B>
      </td>
      <td style="font-size:small">
        <B>Status</B>
      </td>
    </tr>      
    <xsl:apply-templates select="album[@type=1]">
      <xsl:sort select="released/@year" order="ascending"/>
    </xsl:apply-templates>
  </xsl:if>
  <xsl:if test="$bHasAppearsOn = 'true'">
    <xsl:if test="$bHasAlbums = 'true'">
      <tr height="5">
        <td colspan="$ndiscogcolumns"> </td>
      </tr>
    </xsl:if>
    <tr class="list_table_heading" style="background-color:white;">
      <xsl:if test="$showthumbnails='true'">
        <td/>
      </xsl:if>
      <td style="font-size:small">
        <B>Appears on:</B>
      </td>
      <td style="font-size:small">
        <B>Date</B>
      </td>
      <td style="font-size:small">
        <B>Label</B>
      </td>
      <td style="font-size:small">
        <B>Status</B>
      </td>
    </tr>   
    <xsl:apply-templates select="album[@type=2]">
      <xsl:sort select="titlesort" order="ascending"/>
    </xsl:apply-templates>
  </xsl:if>     
</xsl:template>
      
<xsl:template match="albums_credits">
  <xsl:param name="showall"/>
  <xsl:if test="$bHasUniqueCredits = 'true' or ($showall = 'true' and $bHasCredits = 'true')">
    <xsl:if test="$bHasAlbums = 'true' or $bHasAppearsOn = 'true'">
      <tr height="5">
        <td colspan="$ndiscogcolumns"> </td>
      </tr>
    </xsl:if>
    <tr class="list_table_heading" style="background-color:white;">
      <xsl:if test="$showthumbnails='true'">
        <td/>
      </xsl:if>
      <td style="font-size:small">
        <B>Credits on:</B>
      </td>
      <td style="font-size:small">
        <B>Date</B>
      </td>
      <td style="font-size:small">
        <B>Label</B>
      </td>
      <td style="font-size:small">
        <B>Roles</B>
      </td>
    </tr>
    <xsl:choose>
      <xsl:when test="$showall = 'true'">
        <xsl:apply-templates select="album" mode="credits">
          <xsl:sort select="released/@year" order="ascending"/>
        </xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="album[count(. | key('kArtistAlbums', @id)[1]) = 1]" mode="credits">
          <xsl:sort select="released/@year" order="ascending"/>
        </xsl:apply-templates>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template match="album">
  <tr class="list_table">
    <xsl:attribute name="class">
      <xsl:choose>
        <xsl:when test="position() mod 2 = 0">list_table_row2</xsl:when>
        <xsl:otherwise>list_table_row1</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <xsl:if test="$showthumbnails='true'">
      <td>
        <xsl:if test="image1/thumbnail!=''">
          <img class="record_image_small" border="0" align="top" width="{$showthumbnailsize}" src="{image1/thumbnail}"/>
        </xsl:if>
      </td>
    </xsl:if>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <A href="Album.xsl?ID={@id}" target="_blank"><xsl:value-of select="title"/></A>   
      <xsl:if test="artists/@sort != /data/record/sortby and artists/@sort != 'Various Artists'">
        <xsl:text> / </xsl:text><I>
          <xsl:call-template name="format-artist">
            <xsl:with-param name="artists" select="artists"/>
            <xsl:with-param name="newwindow" select="'True'"/>
          </xsl:call-template>
        </I>
      </xsl:if>
    </td>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <xsl:value-of select="released/@year"/>
    </td>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <xsl:value-of select="label"/>
    </td>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <xsl:value-of select="status"/>
    </td>
  </tr>
</xsl:template>
 
<xsl:template match="album" mode="credits">
  <tr class="list_table">
    <xsl:attribute name="class">
      <xsl:choose>
        <xsl:when test="position() mod 2 = 0">list_table_row2</xsl:when>
        <xsl:otherwise>list_table_row1</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <xsl:if test="$showthumbnails='true'">
      <td>
        <xsl:if test="image1/thumbnail!=''">
          <img class="record_image_small" border="0" align="top" width="{$showthumbnailsize}" src="{image1/thumbnail}"/>
        </xsl:if>
      </td>
    </xsl:if>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <A href="Album.xsl?ID={@id}" target="_blank"><xsl:value-of select="title"/></A>   
      <xsl:if test="artists/@sort != /data/record/sortby and artists/@sort != 'Various Artists'">
        <xsl:text> / </xsl:text><I>
          <xsl:call-template name="format-artist">
            <xsl:with-param name="artists" select="artists"/>
            <xsl:with-param name="newwindow" select="'True'"/>
          </xsl:call-template>
        </I>
      </xsl:if>
    </td>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <xsl:value-of select="released/@year"/>
    </td>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <xsl:value-of select="label"/>
    </td>
    <td class="list_table_fieldvalue" style="font-size:x-small;">
      <xsl:for-each select="roles/role">
        <xsl:value-of select="."/>
        <xsl:if test="position() &lt; last()">
          <xsl:text>, </xsl:text>
        </xsl:if>    
      </xsl:for-each>
    </td>
  </tr>
</xsl:template> 
<!-- ArtistPerson discography, End of second code block -->

</xsl:stylesheet>  
